Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class Format

    java.lang.Object
      org.deegree.portal.context.Format

    public class Format

extends Object

encapsulates the format description as described by the OGC Web Map Context specification

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Constructor Summary
`Format(String name, boolean current)` Creates a new Format object.

Method Summary
`String` | `getName()`
`boolean` | `isCurrent()`
`void` | `setCurrent(boolean current)` sets if this is the current format of the layer or not
`void` | `setName(String name)` sets the the name of the format

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Format

    public Format(String name,
                  boolean current)
           throws ContextException

  Creates a new Format object.

  Parameters:
    `name` - name of the format
    `current` - indicates if this is current format of this layer
  Throws:
    `ContextException`

Method Detail

### getName

    public String getName()

  Returns:
    the name of the format

### setName

    public void setName(String name)
                 throws ContextException

  sets the the name of the format

  Parameters:
    `name` -
  Throws:
    `ContextException`

### isCurrent

    public boolean isCurrent()

  Returns:
    true if this is the current format of the layer

### setCurrent

    public void setCurrent(boolean current)

  sets if this is the current format of the layer or not

  Parameters:
    `current` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org